
extension Post {

    static var empty: Post {
        .init(content: Content.mock,
              id: "empty",
              isDraft: true,
              createdDate: .now,
              startDate: .now,
              endDate: nil,
              tags: [],
              german: .init(content: .mock,
                            text: "Text"),
              english: .init(content: .mock,
                             text: "Text"),
              linkedPage: nil)
    }

    static var mock: Post {
        Post(
            content: Content.mock,
            id: "mock",
            isDraft: false,
            createdDate: .now,
            startDate: .now,
            endDate: nil,
            tags: [.nature, .sports, .hiking],
            german: .init(
                content: .mock,
                title: "Der Titel",
                text: "Sehr schöne und einsame Tour von Oberau zum Krottenkopf. Abwechslungsreich und stellenweise fordernd, aufgrund der Länge und der Höhenmeter auch anstrengend."),
            english: .init(
                content: .mock,
                title: "The title",
                text: "Very nice and solitary hike from Oberau to Krottenkopf. Challenging and rewarding, due to the length and height")
        )
    }

    static var fullMock: Post {
        .init(
            content: Content.mock,
            id: "full",
            isDraft: true,
            createdDate: .now,
            startDate: .now.addingTimeInterval(-86400), endDate: .now,
            tags:  [.nature, .sports, .hiking, .mountains],
            german: .german,
            english: .english)
    }
}

extension LocalizedPost {

    static let german = LocalizedPost(
        content: .mock,
        title: "Ein langer Titel",
        text: "Sehr schöne und einsame Tour von Oberau zum Krottenkopf. Abwechslungsreich und stellenweise fordernd, aufgrund der Länge und der Höhenmeter auch anstrengend.",
        images: MockImage.images)

    static let english = LocalizedPost(
        content: .mock,
        title: "A longer title",
        text: "Very nice and solitary hike from Oberau to Krottenkopf. Challenging and rewarding, due to the length and height.",
        images: MockImage.images)
}
